<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.9.1"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>OnSive.Netflix.PersonalData: OnSive.Netflix.PersonalData.NetflixParser Class Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">OnSive.Netflix.PersonalData
   &#160;<span id="projectnumber">1.0.2.1</span>
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.1 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search','.html');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(document).ready(function(){initNavTree('class_on_sive_1_1_netflix_1_1_personal_data_1_1_netflix_parser.html',''); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="#properties">Properties</a> &#124;
<a href="class_on_sive_1_1_netflix_1_1_personal_data_1_1_netflix_parser-members.html">List of all members</a>  </div>
  <div class="headertitle">
<div class="title">OnSive.Netflix.PersonalData.NetflixParser Class Reference</div>  </div>
</div><!--header-->
<div class="contents">

<p>This class contains all the personal data which can be exportet through the <a class="el" href="namespace_on_sive_1_1_netflix.html">Netflix</a> account settings  
 <a href="class_on_sive_1_1_netflix_1_1_personal_data_1_1_netflix_parser.html#details">More...</a></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr class="memitem:ad84e95e9e2da0407b17aa46b8b10547f"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_on_sive_1_1_netflix_1_1_personal_data_1_1_netflix_parser.html#ad84e95e9e2da0407b17aa46b8b10547f">NetflixParser</a> (string sZipOrExtractedPath)</td></tr>
<tr class="memdesc:ad84e95e9e2da0407b17aa46b8b10547f"><td class="mdescLeft">&#160;</td><td class="mdescRight">Constructor for the personal data parser  <a href="class_on_sive_1_1_netflix_1_1_personal_data_1_1_netflix_parser.html#ad84e95e9e2da0407b17aa46b8b10547f">More...</a><br /></td></tr>
<tr class="separator:ad84e95e9e2da0407b17aa46b8b10547f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac93969250f0b3bbb709388fc5b818206"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_on_sive_1_1_netflix_1_1_personal_data_1_1_netflix_parser.html#ac93969250f0b3bbb709388fc5b818206">Load</a> ()</td></tr>
<tr class="memdesc:ac93969250f0b3bbb709388fc5b818206"><td class="mdescLeft">&#160;</td><td class="mdescRight">Loads all data into the properties  <a href="class_on_sive_1_1_netflix_1_1_personal_data_1_1_netflix_parser.html#ac93969250f0b3bbb709388fc5b818206">More...</a><br /></td></tr>
<tr class="separator:ac93969250f0b3bbb709388fc5b818206"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a3d639aea2679ca8dcb2c06c995c9ca6e"><td class="memItemLeft" align="right" valign="top">async Task&lt; bool &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_on_sive_1_1_netflix_1_1_personal_data_1_1_netflix_parser.html#a3d639aea2679ca8dcb2c06c995c9ca6e">LoadAsync</a> ()</td></tr>
<tr class="memdesc:a3d639aea2679ca8dcb2c06c995c9ca6e"><td class="mdescLeft">&#160;</td><td class="mdescRight">Loads all data into the properties  <a href="class_on_sive_1_1_netflix_1_1_personal_data_1_1_netflix_parser.html#a3d639aea2679ca8dcb2c06c995c9ca6e">More...</a><br /></td></tr>
<tr class="separator:a3d639aea2679ca8dcb2c06c995c9ca6e"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="properties"></a>
Properties</h2></td></tr>
<tr class="memitem:a6daf91b794268b12c4970144f74e2c9b"><td class="memItemLeft" align="right" valign="top"><a class="el" href="class_on_sive_1_1_netflix_1_1_personal_data_1_1_netflix_legacy_parser.html">NetflixLegacyParser</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_on_sive_1_1_netflix_1_1_personal_data_1_1_netflix_parser.html#a6daf91b794268b12c4970144f74e2c9b">LegacyParser</a><code> [get]</code></td></tr>
<tr class="memdesc:a6daf91b794268b12c4970144f74e2c9b"><td class="mdescLeft">&#160;</td><td class="mdescRight">Contains all legacy properties  <a href="class_on_sive_1_1_netflix_1_1_personal_data_1_1_netflix_parser.html#a6daf91b794268b12c4970144f74e2c9b">More...</a><br /></td></tr>
<tr class="separator:a6daf91b794268b12c4970144f74e2c9b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a5b9773bd4566e8fc68634be079b234fe"><td class="memItemLeft" align="right" valign="top">List&lt; AccountDetailItem &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_on_sive_1_1_netflix_1_1_personal_data_1_1_netflix_parser.html#a5b9773bd4566e8fc68634be079b234fe">AccountDetails</a><code> [get]</code></td></tr>
<tr class="memdesc:a5b9773bd4566e8fc68634be079b234fe"><td class="mdescLeft">&#160;</td><td class="mdescRight">This table will include either (a) the information that you provided to <a class="el" href="namespace_on_sive_1_1_netflix.html">Netflix</a> when you registered to use our service or (b) the information as you have updated it since registration (for example, if you update your email or added a phone number). This table aslo includes information about your current account settings for settings such as playback and communications.  <a href="class_on_sive_1_1_netflix_1_1_personal_data_1_1_netflix_parser.html#a5b9773bd4566e8fc68634be079b234fe">More...</a><br /></td></tr>
<tr class="separator:a5b9773bd4566e8fc68634be079b234fe"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a011dadba7dc719fd3c3591847a3177e5"><td class="memItemLeft" align="right" valign="top">List&lt; SubscriptionHistoryItem &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_on_sive_1_1_netflix_1_1_personal_data_1_1_netflix_parser.html#a011dadba7dc719fd3c3591847a3177e5">SubscriptionHistory</a><code> [get]</code></td></tr>
<tr class="memdesc:a011dadba7dc719fd3c3591847a3177e5"><td class="mdescLeft">&#160;</td><td class="mdescRight">This table contains details of the subscription(s) you have had with <a class="el" href="namespace_on_sive_1_1_netflix.html">Netflix</a>, such as the subscription plan name and the time period you subscribed to that particular plan.  <a href="class_on_sive_1_1_netflix_1_1_personal_data_1_1_netflix_parser.html#a011dadba7dc719fd3c3591847a3177e5">More...</a><br /></td></tr>
<tr class="separator:a011dadba7dc719fd3c3591847a3177e5"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a0528a29c8a148188f64884d90bcca7cf"><td class="memItemLeft" align="right" valign="top">List&lt; ClickstreamItem &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_on_sive_1_1_netflix_1_1_personal_data_1_1_netflix_parser.html#a0528a29c8a148188f64884d90bcca7cf">Clickstream</a><code> [get]</code></td></tr>
<tr class="memdesc:a0528a29c8a148188f64884d90bcca7cf"><td class="mdescLeft">&#160;</td><td class="mdescRight">This table provides details of actions taken while navigating through the <a class="el" href="namespace_on_sive_1_1_netflix.html">Netflix</a> website while in a logged in state.  <a href="class_on_sive_1_1_netflix_1_1_personal_data_1_1_netflix_parser.html#a0528a29c8a148188f64884d90bcca7cf">More...</a><br /></td></tr>
<tr class="separator:a0528a29c8a148188f64884d90bcca7cf"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a3a0387d6b70e347bf4bef831d662703a"><td class="memItemLeft" align="right" valign="top">List&lt; IndicatedPreferenceItem &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_on_sive_1_1_netflix_1_1_personal_data_1_1_netflix_parser.html#a3a0387d6b70e347bf4bef831d662703a">IndicatedPreferences</a><code> [get]</code></td></tr>
<tr class="memdesc:a3a0387d6b70e347bf4bef831d662703a"><td class="mdescLeft">&#160;</td><td class="mdescRight">Upon first use of a profile, profile users are invited to select TV shows and movies they watched before they subscribed to <a class="el" href="namespace_on_sive_1_1_netflix.html">Netflix</a>, as well as TV shows and movies in which they have an interest ("Indicated
    Preferences"). This feature is only available on our website (not on mobile devices) and may be skipped, which is why this information may not be available. This information is used to give intial guidance to our recommendation systems.  <a href="class_on_sive_1_1_netflix_1_1_personal_data_1_1_netflix_parser.html#a3a0387d6b70e347bf4bef831d662703a">More...</a><br /></td></tr>
<tr class="separator:a3a0387d6b70e347bf4bef831d662703a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aed364dde6bae81526153b9ccced587e7"><td class="memItemLeft" align="right" valign="top">List&lt; InteractiveTitleItem &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_on_sive_1_1_netflix_1_1_personal_data_1_1_netflix_parser.html#aed364dde6bae81526153b9ccced587e7">InteractiveTitles</a><code> [get]</code></td></tr>
<tr class="memdesc:aed364dde6bae81526153b9ccced587e7"><td class="mdescLeft">&#160;</td><td class="mdescRight">This table provides details of choices selected while viewing an interactive TV show or movie.  <a href="class_on_sive_1_1_netflix_1_1_personal_data_1_1_netflix_parser.html#aed364dde6bae81526153b9ccced587e7">More...</a><br /></td></tr>
<tr class="separator:aed364dde6bae81526153b9ccced587e7"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a9ea43c1ffda00c2a50ee2b0968d5c2cd"><td class="memItemLeft" align="right" valign="top">List&lt; MyListItem &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_on_sive_1_1_netflix_1_1_personal_data_1_1_netflix_parser.html#a9ea43c1ffda00c2a50ee2b0968d5c2cd">MyList</a><code> [get]</code></td></tr>
<tr class="memdesc:a9ea43c1ffda00c2a50ee2b0968d5c2cd"><td class="mdescLeft">&#160;</td><td class="mdescRight">My List is created by selecting the “+” symbol in a TV show or movie information page while you are browsing through our catalogue.  <a href="class_on_sive_1_1_netflix_1_1_personal_data_1_1_netflix_parser.html#a9ea43c1ffda00c2a50ee2b0968d5c2cd">More...</a><br /></td></tr>
<tr class="separator:a9ea43c1ffda00c2a50ee2b0968d5c2cd"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa0b7d86b0220a6c67709adc5fe69c6e9"><td class="memItemLeft" align="right" valign="top">List&lt; PlaybackRelatedEventItem &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_on_sive_1_1_netflix_1_1_personal_data_1_1_netflix_parser.html#aa0b7d86b0220a6c67709adc5fe69c6e9">PlaybackRelatedEvents</a><code> [get]</code></td></tr>
<tr class="memdesc:aa0b7d86b0220a6c67709adc5fe69c6e9"><td class="mdescLeft">&#160;</td><td class="mdescRight">This table provides details of actions taken during a viewing session of an episode of a TV show or a movie.  <a href="class_on_sive_1_1_netflix_1_1_personal_data_1_1_netflix_parser.html#aa0b7d86b0220a6c67709adc5fe69c6e9">More...</a><br /></td></tr>
<tr class="separator:aa0b7d86b0220a6c67709adc5fe69c6e9"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a9cf035834a916d9a001770f61751d868"><td class="memItemLeft" align="right" valign="top">List&lt; RatingItem &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_on_sive_1_1_netflix_1_1_personal_data_1_1_netflix_parser.html#a9cf035834a916d9a001770f61751d868">Ratings</a><code> [get]</code></td></tr>
<tr class="memdesc:a9cf035834a916d9a001770f61751d868"><td class="mdescLeft">&#160;</td><td class="mdescRight">This table contains details of TV show or movie ratings. The rating might have been in the form of stars or thumbs up/down depending on when it was made.  <a href="class_on_sive_1_1_netflix_1_1_personal_data_1_1_netflix_parser.html#a9cf035834a916d9a001770f61751d868">More...</a><br /></td></tr>
<tr class="separator:a9cf035834a916d9a001770f61751d868"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aca3d9322eaf74cdcf7ed3b341405ce41"><td class="memItemLeft" align="right" valign="top">List&lt; SearchHistoryItem &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_on_sive_1_1_netflix_1_1_personal_data_1_1_netflix_parser.html#aca3d9322eaf74cdcf7ed3b341405ce41">SearchHistory</a><code> [get]</code></td></tr>
<tr class="memdesc:aca3d9322eaf74cdcf7ed3b341405ce41"><td class="mdescLeft">&#160;</td><td class="mdescRight">No description provided by <a class="el" href="namespace_on_sive_1_1_netflix.html">Netflix</a>.  <a href="class_on_sive_1_1_netflix_1_1_personal_data_1_1_netflix_parser.html#aca3d9322eaf74cdcf7ed3b341405ce41">More...</a><br /></td></tr>
<tr class="separator:aca3d9322eaf74cdcf7ed3b341405ce41"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab1f2ca867794baad5bc9460aa562567b"><td class="memItemLeft" align="right" valign="top">List&lt; ViewingActivityItem &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_on_sive_1_1_netflix_1_1_personal_data_1_1_netflix_parser.html#ab1f2ca867794baad5bc9460aa562567b">ViewingActivity</a><code> [get]</code></td></tr>
<tr class="memdesc:ab1f2ca867794baad5bc9460aa562567b"><td class="mdescLeft">&#160;</td><td class="mdescRight">No description provided by <a class="el" href="namespace_on_sive_1_1_netflix.html">Netflix</a>.  <a href="class_on_sive_1_1_netflix_1_1_personal_data_1_1_netflix_parser.html#ab1f2ca867794baad5bc9460aa562567b">More...</a><br /></td></tr>
<tr class="separator:ab1f2ca867794baad5bc9460aa562567b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a46242727ebfeb67a16e8031bd3e6ecce"><td class="memItemLeft" align="right" valign="top">List&lt; ChatTranscriptItem &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_on_sive_1_1_netflix_1_1_personal_data_1_1_netflix_parser.html#a46242727ebfeb67a16e8031bd3e6ecce">ChatTranscripts</a><code> [get]</code></td></tr>
<tr class="memdesc:a46242727ebfeb67a16e8031bd3e6ecce"><td class="mdescLeft">&#160;</td><td class="mdescRight">This table provides the details of contact with Customer Service by chat transcripts (where applicable). At the end of a chat, customers are given the option to request a copy of the transcript. <br  />
 !!ChatTranscripts is theoreticly implemented, but I need some test data! If you had some contact with the <a class="el" href="namespace_on_sive_1_1_netflix.html">Netflix</a> support it would be great if you could send the ChatTranscripts file to <a href="#" onclick="location.href='mai'+'lto:'+'ser'+'vi'+'ce@'+'on'+'siv'+'e.'+'net'; return false;">servi<span style="display: none;">.nosp@m.</span>ce@o<span style="display: none;">.nosp@m.</span>nsive<span style="display: none;">.nosp@m.</span>.net</a>. You can censor private data of corse ;)!!  <a href="class_on_sive_1_1_netflix_1_1_personal_data_1_1_netflix_parser.html#a46242727ebfeb67a16e8031bd3e6ecce">More...</a><br /></td></tr>
<tr class="separator:a46242727ebfeb67a16e8031bd3e6ecce"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa22bfe6a7f03c1f238687d685249a3d3"><td class="memItemLeft" align="right" valign="top">List&lt; CSContactItem &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_on_sive_1_1_netflix_1_1_personal_data_1_1_netflix_parser.html#aa22bfe6a7f03c1f238687d685249a3d3">CSContact</a><code> [get]</code></td></tr>
<tr class="memdesc:aa22bfe6a7f03c1f238687d685249a3d3"><td class="mdescLeft">&#160;</td><td class="mdescRight">This table contains the following information... You don't say <a class="el" href="namespace_on_sive_1_1_netflix.html">Netflix</a> !!ChatTranscripts is theoreticly implemented, but I need some test data! If you had some contact with the <a class="el" href="namespace_on_sive_1_1_netflix.html">Netflix</a> support it would be great if you could send the ChatTranscripts file to <a href="#" onclick="location.href='mai'+'lto:'+'ser'+'vi'+'ce@'+'on'+'siv'+'e.'+'net'; return false;">servi<span style="display: none;">.nosp@m.</span>ce@o<span style="display: none;">.nosp@m.</span>nsive<span style="display: none;">.nosp@m.</span>.net</a>. You can censor private data of corse ;)!!  <a href="class_on_sive_1_1_netflix_1_1_personal_data_1_1_netflix_parser.html#aa22bfe6a7f03c1f238687d685249a3d3">More...</a><br /></td></tr>
<tr class="separator:aa22bfe6a7f03c1f238687d685249a3d3"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a9b646a1f95862b069ef920094734a700"><td class="memItemLeft" align="right" valign="top">List&lt; DeviceItem &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_on_sive_1_1_netflix_1_1_personal_data_1_1_netflix_parser.html#a9b646a1f95862b069ef920094734a700">Devices</a><code> [get]</code></td></tr>
<tr class="memdesc:a9b646a1f95862b069ef920094734a700"><td class="mdescLeft">&#160;</td><td class="mdescRight">This table contains details of devices that have been linked to your <a class="el" href="namespace_on_sive_1_1_netflix.html">Netflix</a> member account. Please note that blanks in this table indicate that there was no playback on a profile from the device associated with the listed "esn" (defined below). In other words, a profile may have been accesssed on that device, but no content was watched. Instances of <a class="el" href="namespace_on_sive_1_1_netflix.html">Netflix</a> acces to retrieve information while processing inquiries (if any) related to your account may also appear on the list of devices in this table.  <a href="class_on_sive_1_1_netflix_1_1_personal_data_1_1_netflix_parser.html#a9b646a1f95862b069ef920094734a700">More...</a><br /></td></tr>
<tr class="separator:a9b646a1f95862b069ef920094734a700"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a874f27e84f6d013c5dd499157be09650"><td class="memItemLeft" align="right" valign="top">List&lt; IpAddressItem &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_on_sive_1_1_netflix_1_1_personal_data_1_1_netflix_parser.html#a874f27e84f6d013c5dd499157be09650">IpAddresses</a><code> [get]</code></td></tr>
<tr class="memdesc:a874f27e84f6d013c5dd499157be09650"><td class="mdescLeft">&#160;</td><td class="mdescRight">This table contains information associated with the last time a particular device was used to stream from a particular IP address. The table only includes the device type, so it is possible to see the same device type and same IP address in multiple entries. In thos cases, the streaming was from a different device of the same type (e.g., an iPhone 5 and an iPhone 6, or two different iPhones of the same generation).  <a href="class_on_sive_1_1_netflix_1_1_personal_data_1_1_netflix_parser.html#a874f27e84f6d013c5dd499157be09650">More...</a><br /></td></tr>
<tr class="separator:a874f27e84f6d013c5dd499157be09650"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a2eb4a8dfd45ef27d4dddccd7221a4e94"><td class="memItemLeft" align="right" valign="top">List&lt; MessageSentByNetflixItem &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_on_sive_1_1_netflix_1_1_personal_data_1_1_netflix_parser.html#a2eb4a8dfd45ef27d4dddccd7221a4e94">MessagesSentByNetflix</a><code> [get]</code></td></tr>
<tr class="memdesc:a2eb4a8dfd45ef27d4dddccd7221a4e94"><td class="mdescLeft">&#160;</td><td class="mdescRight">This table contains details of messages that you received from <a class="el" href="namespace_on_sive_1_1_netflix.html">Netflix</a> in accordance with your preferences , as well as the details of your interactions with links contained in messages you received from <a class="el" href="namespace_on_sive_1_1_netflix.html">Netflix</a>.  <a href="class_on_sive_1_1_netflix_1_1_personal_data_1_1_netflix_parser.html#a2eb4a8dfd45ef27d4dddccd7221a4e94">More...</a><br /></td></tr>
<tr class="separator:a2eb4a8dfd45ef27d4dddccd7221a4e94"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac42a9855461603a25530a230f6e6ecdd"><td class="memItemLeft" align="right" valign="top">List&lt; BillingHistoryItem &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_on_sive_1_1_netflix_1_1_personal_data_1_1_netflix_parser.html#ac42a9855461603a25530a230f6e6ecdd">BillingHistory</a><code> [get]</code></td></tr>
<tr class="memdesc:ac42a9855461603a25530a230f6e6ecdd"><td class="mdescLeft">&#160;</td><td class="mdescRight">This table contains payment details you have provided to <a class="el" href="namespace_on_sive_1_1_netflix.html">Netflix</a>. In addition, this table contains information about the charges we have made or attempted to make to your method of payment for your subscription.  <a href="class_on_sive_1_1_netflix_1_1_personal_data_1_1_netflix_parser.html#ac42a9855461603a25530a230f6e6ecdd">More...</a><br /></td></tr>
<tr class="separator:ac42a9855461603a25530a230f6e6ecdd"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a6350a217ec3a54ed35eca5f8f63e1e1a"><td class="memItemLeft" align="right" valign="top">List&lt; GiftSubscriptionItem &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_on_sive_1_1_netflix_1_1_personal_data_1_1_netflix_parser.html#a6350a217ec3a54ed35eca5f8f63e1e1a">GiftSubscriptions</a><code> [get]</code></td></tr>
<tr class="memdesc:a6350a217ec3a54ed35eca5f8f63e1e1a"><td class="mdescLeft">&#160;</td><td class="mdescRight">This table contains details of <a class="el" href="namespace_on_sive_1_1_netflix.html">Netflix</a> gift subscriptions you have purchased or redeemed.  <a href="class_on_sive_1_1_netflix_1_1_personal_data_1_1_netflix_parser.html#a6350a217ec3a54ed35eca5f8f63e1e1a">More...</a><br /></td></tr>
<tr class="separator:a6350a217ec3a54ed35eca5f8f63e1e1a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac605da4596dc241bd59783f2e3a5641c"><td class="memItemLeft" align="right" valign="top">List&lt; AvatarHistoryItem &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_on_sive_1_1_netflix_1_1_personal_data_1_1_netflix_parser.html#ac605da4596dc241bd59783f2e3a5641c">AvatarHistory</a><code> [get]</code></td></tr>
<tr class="memdesc:ac605da4596dc241bd59783f2e3a5641c"><td class="mdescLeft">&#160;</td><td class="mdescRight">This table contains details of avatar icons chosen for a particular profile.  <a href="class_on_sive_1_1_netflix_1_1_personal_data_1_1_netflix_parser.html#ac605da4596dc241bd59783f2e3a5641c">More...</a><br /></td></tr>
<tr class="separator:ac605da4596dc241bd59783f2e3a5641c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a05a67d00ee619f8a8c28b57e7d4cb98d"><td class="memItemLeft" align="right" valign="top">List&lt; ProfileItem &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_on_sive_1_1_netflix_1_1_personal_data_1_1_netflix_parser.html#a05a67d00ee619f8a8c28b57e7d4cb98d">Profiles</a><code> [get]</code></td></tr>
<tr class="memdesc:a05a67d00ee619f8a8c28b57e7d4cb98d"><td class="mdescLeft">&#160;</td><td class="mdescRight">This table contains details of profiles that have been created within your <a class="el" href="namespace_on_sive_1_1_netflix.html">Netflix</a> member accounts  <a href="class_on_sive_1_1_netflix_1_1_personal_data_1_1_netflix_parser.html#a05a67d00ee619f8a8c28b57e7d4cb98d">More...</a><br /></td></tr>
<tr class="separator:a05a67d00ee619f8a8c28b57e7d4cb98d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a896b28768186a5576aa60d8f5817c25d"><td class="memItemLeft" align="right" valign="top">List&lt; ProductCancellationSurveyItem &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_on_sive_1_1_netflix_1_1_personal_data_1_1_netflix_parser.html#a896b28768186a5576aa60d8f5817c25d">ProductCancellationSurvey</a><code> [get]</code></td></tr>
<tr class="memdesc:a896b28768186a5576aa60d8f5817c25d"><td class="mdescLeft">&#160;</td><td class="mdescRight">The Surveys table contains information associated with <a class="el" href="namespace_on_sive_1_1_netflix.html">Netflix</a> post-subscription cancellation surveeys you have taken or otherwise interacted with.  <a href="class_on_sive_1_1_netflix_1_1_personal_data_1_1_netflix_parser.html#a896b28768186a5576aa60d8f5817c25d">More...</a><br /></td></tr>
<tr class="separator:a896b28768186a5576aa60d8f5817c25d"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p>This class contains all the personal data which can be exportet through the <a class="el" href="namespace_on_sive_1_1_netflix.html">Netflix</a> account settings </p>
</div><h2 class="groupheader">Constructor &amp; Destructor Documentation</h2>
<a id="ad84e95e9e2da0407b17aa46b8b10547f"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ad84e95e9e2da0407b17aa46b8b10547f">&#9670;&nbsp;</a></span>NetflixParser()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">OnSive.Netflix.PersonalData.NetflixParser.NetflixParser </td>
          <td>(</td>
          <td class="paramtype">string&#160;</td>
          <td class="paramname"><em>sZipOrExtractedPath</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Constructor for the personal data parser </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">sZipOrExtractedPath</td><td>The patch to the the extracted zip file directory</td></tr>
  </table>
  </dd>
</dl>
<dl class="exception"><dt>Exceptions</dt><dd>
  <table class="exception">
    <tr><td class="paramname">PersonalDataNotFoundException</td><td>The netflix-report.zip file or the already excracted directory could not be found at '<em>sZipOrExtractedPath</em> '! </td></tr>
    <tr><td class="paramname">InvalidDataException</td><td>The archive is not a valid zip archive. -or- An archive entry was not found or was corrupt. -or- An archive entry was compressed by using a compression method that is not supported. </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<h2 class="groupheader">Member Function Documentation</h2>
<a id="ac93969250f0b3bbb709388fc5b818206"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ac93969250f0b3bbb709388fc5b818206">&#9670;&nbsp;</a></span>Load()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool OnSive.Netflix.PersonalData.NetflixParser.Load </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Loads all data into the properties </p>
<dl class="section return"><dt>Returns</dt><dd>If everything was loaded correctly</dd></dl>

</div>
</div>
<a id="a3d639aea2679ca8dcb2c06c995c9ca6e"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a3d639aea2679ca8dcb2c06c995c9ca6e">&#9670;&nbsp;</a></span>LoadAsync()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">async Task&lt;bool&gt; OnSive.Netflix.PersonalData.NetflixParser.LoadAsync </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Loads all data into the properties </p>
<dl class="section return"><dt>Returns</dt><dd>If everything was loaded correctly</dd></dl>

</div>
</div>
<h2 class="groupheader">Property Documentation</h2>
<a id="a5b9773bd4566e8fc68634be079b234fe"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a5b9773bd4566e8fc68634be079b234fe">&#9670;&nbsp;</a></span>AccountDetails</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">List&lt;AccountDetailItem&gt; OnSive.Netflix.PersonalData.NetflixParser.AccountDetails</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">get</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>This table will include either (a) the information that you provided to <a class="el" href="namespace_on_sive_1_1_netflix.html">Netflix</a> when you registered to use our service or (b) the information as you have updated it since registration (for example, if you update your email or added a phone number). This table aslo includes information about your current account settings for settings such as playback and communications. </p>

</div>
</div>
<a id="ac605da4596dc241bd59783f2e3a5641c"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ac605da4596dc241bd59783f2e3a5641c">&#9670;&nbsp;</a></span>AvatarHistory</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">List&lt;AvatarHistoryItem&gt; OnSive.Netflix.PersonalData.NetflixParser.AvatarHistory</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">get</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>This table contains details of avatar icons chosen for a particular profile. </p>

</div>
</div>
<a id="ac42a9855461603a25530a230f6e6ecdd"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ac42a9855461603a25530a230f6e6ecdd">&#9670;&nbsp;</a></span>BillingHistory</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">List&lt;BillingHistoryItem&gt; OnSive.Netflix.PersonalData.NetflixParser.BillingHistory</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">get</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>This table contains payment details you have provided to <a class="el" href="namespace_on_sive_1_1_netflix.html">Netflix</a>. In addition, this table contains information about the charges we have made or attempted to make to your method of payment for your subscription. </p>

</div>
</div>
<a id="a46242727ebfeb67a16e8031bd3e6ecce"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a46242727ebfeb67a16e8031bd3e6ecce">&#9670;&nbsp;</a></span>ChatTranscripts</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">List&lt;ChatTranscriptItem&gt; OnSive.Netflix.PersonalData.NetflixParser.ChatTranscripts</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">get</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>This table provides the details of contact with Customer Service by chat transcripts (where applicable). At the end of a chat, customers are given the option to request a copy of the transcript. <br  />
 !!ChatTranscripts is theoreticly implemented, but I need some test data! If you had some contact with the <a class="el" href="namespace_on_sive_1_1_netflix.html">Netflix</a> support it would be great if you could send the ChatTranscripts file to <a href="#" onclick="location.href='mai'+'lto:'+'ser'+'vi'+'ce@'+'on'+'siv'+'e.'+'net'; return false;">servi<span style="display: none;">.nosp@m.</span>ce@o<span style="display: none;">.nosp@m.</span>nsive<span style="display: none;">.nosp@m.</span>.net</a>. You can censor private data of corse ;)!! </p>

</div>
</div>
<a id="a0528a29c8a148188f64884d90bcca7cf"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a0528a29c8a148188f64884d90bcca7cf">&#9670;&nbsp;</a></span>Clickstream</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">List&lt;ClickstreamItem&gt; OnSive.Netflix.PersonalData.NetflixParser.Clickstream</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">get</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>This table provides details of actions taken while navigating through the <a class="el" href="namespace_on_sive_1_1_netflix.html">Netflix</a> website while in a logged in state. </p>

</div>
</div>
<a id="aa22bfe6a7f03c1f238687d685249a3d3"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aa22bfe6a7f03c1f238687d685249a3d3">&#9670;&nbsp;</a></span>CSContact</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">List&lt;CSContactItem&gt; OnSive.Netflix.PersonalData.NetflixParser.CSContact</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">get</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>This table contains the following information... You don't say <a class="el" href="namespace_on_sive_1_1_netflix.html">Netflix</a> !!ChatTranscripts is theoreticly implemented, but I need some test data! If you had some contact with the <a class="el" href="namespace_on_sive_1_1_netflix.html">Netflix</a> support it would be great if you could send the ChatTranscripts file to <a href="#" onclick="location.href='mai'+'lto:'+'ser'+'vi'+'ce@'+'on'+'siv'+'e.'+'net'; return false;">servi<span style="display: none;">.nosp@m.</span>ce@o<span style="display: none;">.nosp@m.</span>nsive<span style="display: none;">.nosp@m.</span>.net</a>. You can censor private data of corse ;)!! </p>

</div>
</div>
<a id="a9b646a1f95862b069ef920094734a700"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a9b646a1f95862b069ef920094734a700">&#9670;&nbsp;</a></span>Devices</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">List&lt;DeviceItem&gt; OnSive.Netflix.PersonalData.NetflixParser.Devices</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">get</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>This table contains details of devices that have been linked to your <a class="el" href="namespace_on_sive_1_1_netflix.html">Netflix</a> member account. Please note that blanks in this table indicate that there was no playback on a profile from the device associated with the listed "esn" (defined below). In other words, a profile may have been accesssed on that device, but no content was watched. Instances of <a class="el" href="namespace_on_sive_1_1_netflix.html">Netflix</a> acces to retrieve information while processing inquiries (if any) related to your account may also appear on the list of devices in this table. </p>

</div>
</div>
<a id="a6350a217ec3a54ed35eca5f8f63e1e1a"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a6350a217ec3a54ed35eca5f8f63e1e1a">&#9670;&nbsp;</a></span>GiftSubscriptions</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">List&lt;GiftSubscriptionItem&gt; OnSive.Netflix.PersonalData.NetflixParser.GiftSubscriptions</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">get</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>This table contains details of <a class="el" href="namespace_on_sive_1_1_netflix.html">Netflix</a> gift subscriptions you have purchased or redeemed. </p>

</div>
</div>
<a id="a3a0387d6b70e347bf4bef831d662703a"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a3a0387d6b70e347bf4bef831d662703a">&#9670;&nbsp;</a></span>IndicatedPreferences</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">List&lt;IndicatedPreferenceItem&gt; OnSive.Netflix.PersonalData.NetflixParser.IndicatedPreferences</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">get</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Upon first use of a profile, profile users are invited to select TV shows and movies they watched before they subscribed to <a class="el" href="namespace_on_sive_1_1_netflix.html">Netflix</a>, as well as TV shows and movies in which they have an interest ("Indicated
    Preferences"). This feature is only available on our website (not on mobile devices) and may be skipped, which is why this information may not be available. This information is used to give intial guidance to our recommendation systems. </p>

</div>
</div>
<a id="aed364dde6bae81526153b9ccced587e7"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aed364dde6bae81526153b9ccced587e7">&#9670;&nbsp;</a></span>InteractiveTitles</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">List&lt;InteractiveTitleItem&gt; OnSive.Netflix.PersonalData.NetflixParser.InteractiveTitles</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">get</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>This table provides details of choices selected while viewing an interactive TV show or movie. </p>

</div>
</div>
<a id="a874f27e84f6d013c5dd499157be09650"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a874f27e84f6d013c5dd499157be09650">&#9670;&nbsp;</a></span>IpAddresses</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">List&lt;IpAddressItem&gt; OnSive.Netflix.PersonalData.NetflixParser.IpAddresses</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">get</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>This table contains information associated with the last time a particular device was used to stream from a particular IP address. The table only includes the device type, so it is possible to see the same device type and same IP address in multiple entries. In thos cases, the streaming was from a different device of the same type (e.g., an iPhone 5 and an iPhone 6, or two different iPhones of the same generation). </p>

</div>
</div>
<a id="a6daf91b794268b12c4970144f74e2c9b"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a6daf91b794268b12c4970144f74e2c9b">&#9670;&nbsp;</a></span>LegacyParser</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="class_on_sive_1_1_netflix_1_1_personal_data_1_1_netflix_legacy_parser.html">NetflixLegacyParser</a> OnSive.Netflix.PersonalData.NetflixParser.LegacyParser</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">get</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Contains all legacy properties </p>

</div>
</div>
<a id="a2eb4a8dfd45ef27d4dddccd7221a4e94"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a2eb4a8dfd45ef27d4dddccd7221a4e94">&#9670;&nbsp;</a></span>MessagesSentByNetflix</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">List&lt;MessageSentByNetflixItem&gt; OnSive.Netflix.PersonalData.NetflixParser.MessagesSentByNetflix</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">get</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>This table contains details of messages that you received from <a class="el" href="namespace_on_sive_1_1_netflix.html">Netflix</a> in accordance with your preferences , as well as the details of your interactions with links contained in messages you received from <a class="el" href="namespace_on_sive_1_1_netflix.html">Netflix</a>. </p>

</div>
</div>
<a id="a9ea43c1ffda00c2a50ee2b0968d5c2cd"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a9ea43c1ffda00c2a50ee2b0968d5c2cd">&#9670;&nbsp;</a></span>MyList</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">List&lt;MyListItem&gt; OnSive.Netflix.PersonalData.NetflixParser.MyList</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">get</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>My List is created by selecting the “+” symbol in a TV show or movie information page while you are browsing through our catalogue. </p>

</div>
</div>
<a id="aa0b7d86b0220a6c67709adc5fe69c6e9"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aa0b7d86b0220a6c67709adc5fe69c6e9">&#9670;&nbsp;</a></span>PlaybackRelatedEvents</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">List&lt;PlaybackRelatedEventItem&gt; OnSive.Netflix.PersonalData.NetflixParser.PlaybackRelatedEvents</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">get</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>This table provides details of actions taken during a viewing session of an episode of a TV show or a movie. </p>

</div>
</div>
<a id="a896b28768186a5576aa60d8f5817c25d"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a896b28768186a5576aa60d8f5817c25d">&#9670;&nbsp;</a></span>ProductCancellationSurvey</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">List&lt;ProductCancellationSurveyItem&gt; OnSive.Netflix.PersonalData.NetflixParser.ProductCancellationSurvey</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">get</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>The Surveys table contains information associated with <a class="el" href="namespace_on_sive_1_1_netflix.html">Netflix</a> post-subscription cancellation surveeys you have taken or otherwise interacted with. </p>

</div>
</div>
<a id="a05a67d00ee619f8a8c28b57e7d4cb98d"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a05a67d00ee619f8a8c28b57e7d4cb98d">&#9670;&nbsp;</a></span>Profiles</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">List&lt;ProfileItem&gt; OnSive.Netflix.PersonalData.NetflixParser.Profiles</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">get</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>This table contains details of profiles that have been created within your <a class="el" href="namespace_on_sive_1_1_netflix.html">Netflix</a> member accounts </p>

</div>
</div>
<a id="a9cf035834a916d9a001770f61751d868"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a9cf035834a916d9a001770f61751d868">&#9670;&nbsp;</a></span>Ratings</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">List&lt;RatingItem&gt; OnSive.Netflix.PersonalData.NetflixParser.Ratings</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">get</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>This table contains details of TV show or movie ratings. The rating might have been in the form of stars or thumbs up/down depending on when it was made. </p>

</div>
</div>
<a id="aca3d9322eaf74cdcf7ed3b341405ce41"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aca3d9322eaf74cdcf7ed3b341405ce41">&#9670;&nbsp;</a></span>SearchHistory</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">List&lt;SearchHistoryItem&gt; OnSive.Netflix.PersonalData.NetflixParser.SearchHistory</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">get</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>No description provided by <a class="el" href="namespace_on_sive_1_1_netflix.html">Netflix</a>. </p>

</div>
</div>
<a id="a011dadba7dc719fd3c3591847a3177e5"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a011dadba7dc719fd3c3591847a3177e5">&#9670;&nbsp;</a></span>SubscriptionHistory</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">List&lt;SubscriptionHistoryItem&gt; OnSive.Netflix.PersonalData.NetflixParser.SubscriptionHistory</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">get</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>This table contains details of the subscription(s) you have had with <a class="el" href="namespace_on_sive_1_1_netflix.html">Netflix</a>, such as the subscription plan name and the time period you subscribed to that particular plan. </p>

</div>
</div>
<a id="ab1f2ca867794baad5bc9460aa562567b"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ab1f2ca867794baad5bc9460aa562567b">&#9670;&nbsp;</a></span>ViewingActivity</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">List&lt;ViewingActivityItem&gt; OnSive.Netflix.PersonalData.NetflixParser.ViewingActivity</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">get</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>No description provided by <a class="el" href="namespace_on_sive_1_1_netflix.html">Netflix</a>. </p>

</div>
</div>
<hr/>The documentation for this class was generated from the following file:<ul>
<li>NetflixParser.cs</li>
</ul>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="namespace_on_sive.html">OnSive</a></li><li class="navelem"><a class="el" href="namespace_on_sive_1_1_netflix.html">Netflix</a></li><li class="navelem"><a class="el" href="namespace_on_sive_1_1_netflix_1_1_personal_data.html">PersonalData</a></li><li class="navelem"><a class="el" href="class_on_sive_1_1_netflix_1_1_personal_data_1_1_netflix_parser.html">NetflixParser</a></li>
    <li class="footer">Generated by <a href="https://www.doxygen.org/index.html"><img class="footer" src="doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.1 </li>
  </ul>
</div>
</body>
</html>
